Hostap and kernel 2.6.16.x

Richard Farina r.farina at adelphia.net
Sat Apr 8 10:45:34 EDT 2006


Thank you soooooo much!

I've been trying to figure it out and I came to that conclusion on my 
own but I just was not sure.

Well, now that my confusion is cleared up.... back to work.

Thanks Jouni, you rock.

-Rick Farina


Jouni Malinen wrote:
> On Fri, Apr 07, 2006 at 07:50:39PM -0400, Richard Farina wrote:
>
>   
>> I recently upgraded my kernel and found that hostap-driver-0.4.7 doesn't
>> seem to compile against kernel 2.6.16 and higher.
>>     
>
> Host AP driver is now included in the mail kernel tree and external
> package should not be used.
>
>   
>> No problem I say, I'll use the in kernel hostap, but modinfo says that
>> is version 0.4.4-kernel (which seems to me is old)
>>
>> Can someone please explain what's up with this? Is the hostap
>> 0.4.4-kernel acctually newer than hostap-driver-0.4.7 (that's what the
>> gentoo folks imply), or what's going on?
>>     
>
> 0.4.4 is just the version of the hostap-driver package that was used as
> a starting point for the kernel tree merge. The version in the kernel
> tree is newer than any external hostap-driver release.
>
>   
>> If the kernel driver is newer, great, I'm all for updates, but if it's
>> not, what is the status of getting hostap-driver-0.4.7 or newer working
>> of kernel-2.6.16.x?
>>     
>
> There are not plans on supporting Linux 2.6.16 or newer in external
> hostap-driver releaes. The driver included with the kernel tree should
> be used instead.
>
>   




More information about the HostAP mailing list